# 다운로드 URL 생성

### 해당 API는 구버전입니다. 신규 API 인[ 문서 정보 조회 API](https://api.esignon.net/workflow/view/workflowinfo) 를 사용하세요.

[**문서 정보 조회 API**](https://api.esignon.net/workflow/view/workflowinfo) **에서 해당 정보 가져올수있습니다. ( 유지시간 무제한 )**

회사 ID 와 문서의 ID 를 통하여 문서를 다운로드 할 수 있는 URL 을 가져옵니다.

Authorization에 입력된 Token 값을 가진 유저가 볼 수 있는 문서만 접근 가능합니다.(로그인한 유저)

생성된 URL은 5분간 유지됩니다.

## workflow\_download

<mark style="color:green;">`POST`</mark> `https://docs.esignon.net/workflow/download`

#### Headers

| Name          | Type   | Description                                                        |
| ------------- | ------ | ------------------------------------------------------------------ |
| Authorization | string | <p>esignon ${발급받은토큰}<br> <strong>/ 값 입력시 띄어쓰기는 필수입니다.</strong></p> |
| Content-Type  | string | application/json                                                   |

#### Request Body

| Name         | Type   | Description           |
| ------------ | ------ | --------------------- |
| workflow\_id | string | 완료 된 문서의 ID 값 / wfuid |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"header":{
		"response_code": "",
		"result_code": "00",
		"result_msg": "Success",
		"session_id": ""
	},
	"body":{
		"cert_url": "{이력인증서 URL}",
		"doc_url": "{완료된 문서 URL}",
		"workflow_name": "{완료된 문서 이름}"
	}
}
```

{% endtab %}
{% endtabs %}

Example) Request Body

```javascript
{
	"workflow_id": "{완료 된 문서의 ID 값}"
}
```

Example) Response Body / Error

```javascript
{
    "header":{
        "response_code": "",
        "result_code": "{결과코드}",
        "result_msg": "{'코드에 따른 메세지'}",
        "session_id": ""
    },
    "body":{}
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/kor_20210407/workflow/downloadurl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
